org.apache.storm.sql.planner.streams.rel

## Class StreamsCalcRel

- java.lang.Object
- - org.apache.calcite.rel.AbstractRelNode
  - - org.apache.calcite.rel.SingleRel
    - - org.apache.calcite.rel.core.Calc
      - - org.apache.storm.sql.planner.rel.StormCalcRelBase
        - - org.apache.storm.sql.planner.streams.rel.StreamsCalcRel

- All Implemented Interfaces:
    Cloneable, org.apache.calcite.plan.RelOptNode, org.apache.calcite.rel.RelNode, StormRelNode, StreamsRel

      public class StreamsCalcRel
      extends StormCalcRelBase
      implements StreamsRel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.calcite.rel.RelNode

      `org.apache.calcite.rel.RelNode.Context`

  - ### Field Summary

    - ### Fields inherited from class org.apache.calcite.rel.core.Calc

      `program`

    - ### Fields inherited from class org.apache.calcite.rel.SingleRel

      `input`

    - ### Fields inherited from class org.apache.calcite.rel.AbstractRelNode

      `digest, id, rowType, traitSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamsCalcRel(org.apache.calcite.plan.RelOptCluster cluster, org.apache.calcite.plan.RelTraitSet traits, org.apache.calcite.rel.RelNode child, org.apache.calcite.rex.RexProgram program)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.calcite.rel.core.Calc` | `copy(org.apache.calcite.plan.RelTraitSet traitSet, org.apache.calcite.rel.RelNode child, org.apache.calcite.rex.RexProgram program)`
    `void` | `streamsPlan(StreamsPlanCreator planCreator)`

    - ### Methods inherited from class org.apache.calcite.rel.core.Calc

      `accept, computeSelfCost, copy, copy, estimateRowCount, explainTerms, getProgram, isValid`

    - ### Methods inherited from class org.apache.calcite.rel.SingleRel

      `childrenAccept, deriveRowType, getInput, getInputs, replaceInput`

    - ### Methods inherited from class org.apache.calcite.rel.AbstractRelNode

      `accept, collectVariablesSet, collectVariablesUsed, computeDigest, computeSelfCost, explain, getChildExps, getCluster, getCollationList, getConvention, getCorrelVariable, getDescription, getDigest, getExpectedInputRowType, getId, getInput, getQuery, getRelTypeName, getRows, getRowType, getTable, getTraitSet, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, metadata, onRegister, recomputeDigest, register, sole, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.calcite.rel.RelNode

      `accept, accept, childrenAccept, collectVariablesSet, collectVariablesUsed, computeSelfCost, computeSelfCost, copy, estimateRowCount, explain, getChildExps, getCollationList, getConvention, getCorrelVariable, getExpectedInputRowType, getInput, getInputs, getQuery, getRelTypeName, getRows, getRowType, getTable, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, isValid, metadata, onRegister, recomputeDigest, register, replaceInput`

    - ### Methods inherited from interface org.apache.calcite.plan.RelOptNode

      `getCluster, getDescription, getDigest, getId, getTraitSet`

- - ### Constructor Detail

    - #### StreamsCalcRel

          public StreamsCalcRel(org.apache.calcite.plan.RelOptCluster cluster,
                                org.apache.calcite.plan.RelTraitSet traits,
                                org.apache.calcite.rel.RelNode child,
                                org.apache.calcite.rex.RexProgram program)

  - ### Method Detail

    - #### copy

          public org.apache.calcite.rel.core.Calc copy(org.apache.calcite.plan.RelTraitSet traitSet,
                                                       org.apache.calcite.rel.RelNode child,
                                                       org.apache.calcite.rex.RexProgram program)

      Specified by:
        `copy` in class `org.apache.calcite.rel.core.Calc`

    - #### streamsPlan

          public void streamsPlan(StreamsPlanCreator planCreator)
                           throws Exception

      Specified by:
        `streamsPlan` in interface `StreamsRel`
      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.